From 0ae445eb0f870678cd5cf33e4b6149ec7fb59a23 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Tue, 15 Nov 2022 10:34:17 +0100
Subject: [PATCH v3 1/2] doc: update metacpan.org links to avoid redirects

The /release/ links are redirected to /dist/ and /pod/release/ to
/release/../view/, so update our links accordingly to avoid 301
redirects.
---
 doc/src/sgml/external-projects.sgml      | 2 +-
 doc/src/sgml/install-windows.sgml        | 2 +-
 src/test/perl/PostgreSQL/Test/Cluster.pm | 2 +-
 src/tools/perlcheck/perlcriticrc         | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/external-projects.sgml b/doc/src/sgml/external-projects.sgml
index bf590aba5d..2d0fd723b2 100644
--- a/doc/src/sgml/external-projects.sgml
+++ b/doc/src/sgml/external-projects.sgml
@@ -65,7 +65,7 @@
       <entry>DBD::Pg</entry>
       <entry>Perl</entry>
       <entry>Perl DBI driver</entry>
-      <entry><ulink url="https://metacpan.org/release/DBD-Pg"></ulink></entry>
+      <entry><ulink url="https://metacpan.org/dist/DBD-Pg"></ulink></entry>
      </row>
 
      <row>
diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index a1013d1280..342178bcc2 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -488,7 +488,7 @@ $ENV{CONFIG}="Debug";
       ActiveState Perl installation, nor in the ActiveState Perl Package
       Manager (PPM) library. To install, download the
       <filename>IPC-Run-&lt;version&gt;.tar.gz</filename> source archive from CPAN,
-      at <ulink url="https://metacpan.org/release/IPC-Run"></ulink>, and
+      at <ulink url="https://metacpan.org/dist/IPC-Run"></ulink>, and
       uncompress. Edit the <filename>buildenv.pl</filename> file, and add a PERL5LIB
       variable to point to the <filename>lib</filename> subdirectory from the
       extracted archive. For example:
diff --git a/src/test/perl/PostgreSQL/Test/Cluster.pm b/src/test/perl/PostgreSQL/Test/Cluster.pm
index c7531c5efb..b5a24976e7 100644
--- a/src/test/perl/PostgreSQL/Test/Cluster.pm
+++ b/src/test/perl/PostgreSQL/Test/Cluster.pm
@@ -1826,7 +1826,7 @@ sub psql
 	# and set the flag.  Otherwise, and for any other exception, rethrow.
 	#
 	# For background, see
-	# https://metacpan.org/pod/release/ETHER/Try-Tiny-0.24/lib/Try/Tiny.pm
+	# https://metacpan.org/release/ETHER/Try-Tiny-0.24/view/lib/Try/Tiny.pm
 	do
 	{
 		local $@;
diff --git a/src/tools/perlcheck/perlcriticrc b/src/tools/perlcheck/perlcriticrc
index 9267fb43b2..49ac9ee52b 100644
--- a/src/tools/perlcheck/perlcriticrc
+++ b/src/tools/perlcheck/perlcriticrc
@@ -13,7 +13,7 @@ theme = core
 # print the policy name as well as the normal output
 verbose = %f: %m at line %l, column %c.  %e.  ([%p] Severity: %s)\n
 
-# Note: for policy descriptions see https://metacpan.org/release/Perl-Critic
+# Note: for policy descriptions see https://metacpan.org/dist/Perl-Critic
 
 
 # allow octal constants with leading zeros
-- 
2.32.1 (Apple Git-133)

